#!/bin/bash -e

#################################Running GuardDuty, Macie, SecurityHub Role Deploy Shell Script
echo "************************************ Start of Security Hub Setup ************************************ "
#git clone https://github.com/awslabs/aws-securityhub-multiaccount-scripts.git
#cd aws-securityhub-multiaccount-scripts/

# $4 = Security Hub Parent Account ID
# $5 = RoleName to assume in all accounts
# $6 = Name/path of the csv file. (Should be in the formation of AccountId,EmailAddress with one AccountID and EmailAddress per line.)
# git clone https://github.com/awslabs/aws-securityhub-multiaccount-scripts.git
echo "************************************ Enable SecurityHub **************************************"
chmod +x ./enablesecurityhub.py
./enablesecurityhub.py --parent_account $1 --assume_role ${ChildAccountAssumeRoleName} ../accounts.csv --enabled_regions $2
echo "************************************ End of SecurityHub Setup *********************************"
