#!/bin/bash -e

#################################Running GuardDuty, Macie, SecurityHub, and Inspector Role Deploy Shell Script

echo "************************************ Start of VPC FLow Logs Setup ************************************ "
if [ -z "$3" ]; then
  echo "config file not supplied"
  exit 1
fi

# reading environment config file
echo "using config file: $3"
. $3
echo "************************************ VPC FlowLogs ************************************ "
chmod +x ./enableVPCFlowLogs.py
./enableVPCFlowLogs.py --parent_account $1 --assume_role ${ChildAccountAssumeRoleName}  ../accounts.csv --enabled_regions $2 --centrals3bucket $pS3LogsBucket
echo "************************************ End of VPC FlowLogs ************************************ "
